Description: update MessageManager and VoiceCallManager interfaces to match latest ofono api
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Forwarded: no

diff:
=== modified file 'a/lib/ofonomessagemanager.cpp'
--- a/lib/ofonomessagemanager.cpp
+++ b/lib/ofonomessagemanager.cpp
@@ -175,19 +175,21 @@ void OfonoMessageManager::setAlphabet(QS
 }
 
 
-void OfonoMessageManager::sendMessage(const QString &to, const QString &message)
+QDBusObjectPath OfonoMessageManager::sendMessage(const QString &to, const QString &message)
 {
     QDBusMessage request;
+    QDBusReply<QDBusObjectPath> reply;
+    QDBusObjectPath objpath;
 
     request = QDBusMessage::createMethodCall("org.ofono",
                                              path(), m_if->ifname(),
                                              "SendMessage");
-
     request << to << message;
-
-    QDBusConnection::systemBus().callWithCallback(request, this,
-                                        SLOT(sendMessageResp(const QDBusObjectPath&)),
-                                        SLOT(sendMessageErr(const QDBusError&)));
+    reply = QDBusConnection::systemBus().call(request);
+    if (reply.isValid()) {
+        objpath = reply;
+    }
+    return objpath;
 }
 
 void OfonoMessageManager::requestPropertyComplete(bool success, const QString& property, const QVariant& value)
@@ -229,17 +231,6 @@ void OfonoMessageManager::setPropertyFai
     }
 }
 
-void OfonoMessageManager::sendMessageResp(const QDBusObjectPath& objectPath)
-{
-    emit sendMessageComplete(true, objectPath.path());
-}
-
-void OfonoMessageManager::sendMessageErr(QDBusError error)
-{
-    m_if->setError(error.name(), error.message());
-    emit sendMessageComplete(false, QString());
-}
-
 QStringList OfonoMessageManager::getMessages() const
 {
     return m_messagelist;
--- a/lib/ofonomessagemanager.h
+++ b/lib/ofonomessagemanager.h
@@ -64,7 +64,7 @@ public Q_SLOTS:
     void requestAlphabet();
     void setAlphabet(QString alphabet);
 
-    void sendMessage(const QString &to, const QString &message);
+    QDBusObjectPath sendMessage(const QString &to, const QString &message);
 
 Q_SIGNALS:
     void serviceCenterAddressChanged(const QString &address);
@@ -96,8 +96,6 @@ private Q_SLOTS:
     void requestPropertyComplete(bool success, const QString &property, const QVariant &value);
     void onMessageAdded(const QDBusObjectPath &message, const QVariantMap &properties);
     void onMessageRemoved(const QDBusObjectPath &message);
-    void sendMessageResp(const QDBusObjectPath& objectPath);
-    void sendMessageErr(QDBusError error);
 
 private:
     QStringList getMessageList();
--- a/lib/ofonovoicecallmanager.cpp
+++ b/lib/ofonovoicecallmanager.cpp
@@ -139,9 +139,11 @@ void OfonoVoiceCallManager::connectDbusS
                                         SIGNAL(forwarded(const QString&)));
 }
 
-void OfonoVoiceCallManager::dial(const QString &number, const QString &callerid_hide)
+QDBusObjectPath OfonoVoiceCallManager::dial(const QString &number, const QString &callerid_hide)
 {
     QDBusMessage request;
+    QDBusReply<QDBusObjectPath> reply;
+    QDBusObjectPath objpath;
     request = QDBusMessage::createMethodCall("org.ofono",
                                              path(), m_if->ifname(),
                                              "Dial");
@@ -149,10 +151,12 @@ void OfonoVoiceCallManager::dial(const Q
     arg.append(QVariant(number));
     arg.append(QVariant(callerid_hide));
     request.setArguments(arg);
-    QDBusConnection::systemBus().callWithCallback(request, this,
-                                        SLOT(dialResp()),
-                                        SLOT(dialErr(const QDBusError&)),
-                                        DIAL_TIMEOUT);
+
+    reply = QDBusConnection::systemBus().call(request);
+    if (reply.isValid()) {
+        objpath = reply;
+    }
+    return objpath;
 }
 
 void OfonoVoiceCallManager::hangupAll()
@@ -410,10 +414,10 @@ QStringList OfonoVoiceCallManager::getCa
     return m_calllist;
 }
 
-void OfonoVoiceCallManager::callAddedChanged(const QDBusObjectPath &path, const QVariantMap& /*values*/)
+void OfonoVoiceCallManager::callAddedChanged(const QDBusObjectPath &path, const QVariantMap& values)
 {
     m_calllist << path.path();
-    emit callAdded(path.path());
+    emit callAdded(path.path(), values);
 }
 
 void OfonoVoiceCallManager::callRemovedChanged(const QDBusObjectPath &path)
--- a/lib/ofonovoicecallmanager.h
+++ b/lib/ofonovoicecallmanager.h
@@ -65,7 +65,7 @@ public:
     Q_INVOKABLE QStringList getCalls() const;
 
 public Q_SLOTS:
-    void dial(const QString &number, const QString &callerid_hide);
+    QDBusObjectPath dial(const QString &number, const QString &callerid_hide);
     void hangupAll();
     void sendTones(const QString &tonestring);
     void transfer();
@@ -78,7 +78,7 @@ public Q_SLOTS:
 
 Q_SIGNALS:
     void emergencyNumbersChanged(const QStringList &numbers);
-    void callAdded(const QString &call);
+    void callAdded(const QString &call, const QVariantMap &values);
     void callRemoved(const QString &call);
     void dialComplete(const bool status);
     void hangupAllComplete(const bool status);
@@ -98,7 +98,7 @@ private Q_SLOTS:
     void validityChanged(bool);
     void pathChanged(const QString& path);
     void propertyChanged(const QString &property, const QVariant &value);
-    void callAddedChanged(const QDBusObjectPath &call, const QVariantMap &properties);
+    void callAddedChanged(const QDBusObjectPath &call, const QVariantMap &values);
     void callRemovedChanged(const QDBusObjectPath &call);
     void dialResp();
     void dialErr(const QDBusError &error);
